//
//  CPDFConvertOptions.h
//  ComPDFKit_Conversion
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#import <Foundation/Foundation.h>

typedef NS_ENUM(NSInteger, COCRLanguage) {
    COCRLanguageChinese = 0,
    COCRLanguageChineseTraditional = 1,
    COCRLanguageEnglish      = 3,
    COCRLanguageJapanese     = 4,
    COCRLanguageKorean  = 5,
};

/**
 * This is the base class for all conversion parameters.
 */
@interface CPDFConvertOptions : NSObject

@end
