///  convert_bean.dart
///
///  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
///
///  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
///  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
///  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
///  This notice may not be removed from this file.

import 'package:kmpdfkit_conversion_flutter/models/convert_status.dart';
import 'package:kmpdfkit_conversion_flutter/models/convert_type.dart';
import 'package:kmpdfkit_conversion_flutter/models/options/options.dart';


/// convert task data
class ConvertTask {

  String taskId;

  String filePath;

  String fileName;

  int progress;

  ConvertType convertType;

  TaskStatus status;

  String? outputPath;

  Options options;

  ConvertTask({
    required this.taskId,
    required this.fileName,
    required this.filePath,
    required this.convertType,
    required this.status,
    required this.progress,
    required this.options,
    this.outputPath,
  });

}
